# OESVertexArrayObject (LWJGL API)
Date: 2015-07-28

## org.lwjgl.opengles
Class OESVertexArrayObject

    java.lang.Object
      org.lwjgl.opengles.OESVertexArrayObject

    public final class OESVertexArrayObject

extends java.lang.Object

Field Summary
`static int` `GL_VERTEX_ARRAY_BINDING_OES` Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv:

Method Summary
`static void` `glBindVertexArrayOES(int array)`
`static void` `glDeleteVertexArraysOES(int array)` Overloads glDeleteVertexArraysOES.
`static void` `glDeleteVertexArraysOES(java.nio.IntBuffer arrays)`
`static int` `glGenVertexArraysOES()` Overloads glGenVertexArraysOES.
`static void` `glGenVertexArraysOES(java.nio.IntBuffer arrays)`
`static boolean` `glIsVertexArrayOES(int array)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GL_VERTEX_ARRAY_BINDING_OES

    public static final int GL_VERTEX_ARRAY_BINDING_OES

  Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv:

  See Also:
    Constant Field Values

Method Detail

### glBindVertexArrayOES

    public static void glBindVertexArrayOES(int array)

### glDeleteVertexArraysOES

    public static void glDeleteVertexArraysOES(java.nio.IntBuffer arrays)

### glDeleteVertexArraysOES

    public static void glDeleteVertexArraysOES(int array)

  Overloads glDeleteVertexArraysOES.

### glGenVertexArraysOES

    public static void glGenVertexArraysOES(java.nio.IntBuffer arrays)

### glGenVertexArraysOES

    public static int glGenVertexArraysOES()

  Overloads glGenVertexArraysOES.

### glIsVertexArrayOES

    public static boolean glIsVertexArrayOES(int array)

Copyright © 2002-2009 lwjgl.org. All Rights Reserved.